
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("business_carrier_cargocage")]
    public class BusinessCarrierCargocage
    {

        [Key]
        [Column("id")]
        public int id { get; set; }

        /// <summary>
        /// 小车id
        /// </summary>
        [Column("carrier_id")]
        public Guid? carrierId { get; set; }

        /// <summary>
        /// 小车编号
        /// </summary>
        [Column("carrier_no")]
        public string carrierNo { get; set; }

        /// <summary>
        /// 托盘id
        /// </summary>
        [Column("cargocage_id")]
        public Guid? cargocageId { get; set; }

        /// <summary>
        /// 站台分流区
        /// </summary>
        [Column("sitearea_id")]
        public int? siteareaId { get; set; }

        /// <summary>
        /// 指令id
        /// </summary>
        [Column("task_id")]
        public int? taskId { get; set; }

        /// <summary>
        /// 刷新站点时间
        /// </summary>
        [Column("operate_time")]
        public DateTime? operateTime { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

